## GESTransition GESTransition — base class for audio and video transitions |

## Synopsis

    #include <ges/ges.h>

                        GESTransition;
                        GESTransitionClass;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESOperation
                               +----GESTransition
                                     +----GESAudioTransition
                                     +----GESVideoTransition

## Implemented Interfaces

GESTransition implements GESExtractable and GESMetaContainer.

## Description

## Details

### GESTransition

    typedef struct _GESTransition GESTransition;

Base class for media transitions.

### GESTransitionClass

    typedef struct {
    } GESTransitionClass;